Skip to main content
POST
/
2025-09
/
unit_types
/
{unit_type_id}
/
base_price
Create Base Price for the Unit Type
curl --request POST \
  --url https://public-api.stora.co/2025-09/unit_types/{unit_type_id}/base_price \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "weekly": {
    "amount": 999
  },
  "monthly": {
    "amount": 3999
  }
}
'
import requests

url = "https://public-api.stora.co/2025-09/unit_types/{unit_type_id}/base_price"

payload = {
    "weekly": { "amount": 999 },
    "monthly": { "amount": 3999 }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({weekly: {amount: 999}, monthly: {amount: 3999}})
};

fetch('https://public-api.stora.co/2025-09/unit_types/{unit_type_id}/base_price', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "unit_type": {
    "id": "utype_f18fc91387cdf710",
    "_links": {
      "sf:new_order": {
        "href": "/sites/site-name-self-storage-units/order/contact-details?unit_type_slug=large",
        "title": "New order"
      }
    },
    "created_at": "2025-02-22T14:41:00Z",
    "dimensions": {
      "height": 12,
      "length": 11,
      "measurement_unit": "ft",
      "width": 10
    },
    "dynamic_pricing": false,
    "images": {
      "default": null
    },
    "live_prices": [
      {
        "billing_period": "monthly",
        "price": {
          "amount": 3999,
          "currency": "GBP",
          "formatted": "£39.99"
        },
        "stripe_price_id": "price_MwJrt3uovKQOBpbjwpGRdTz3"
      }
    ],
    "name": "Large",
    "prices": [
      {
        "billing_period": "weekly",
        "price": {
          "amount": 999,
          "currency": "GBP",
          "formatted": "£9.99"
        },
        "stripe_price_id": "price_OUZT099ynVSlgPkNEzRI55sK"
      },
      {
        "billing_period": "monthly",
        "price": {
          "amount": 3999,
          "currency": "GBP",
          "formatted": "£39.99"
        },
        "stripe_price_id": "price_MwJrt3uovKQOBpbjwpGRdTz3"
      }
    ],
    "promotion": null,
    "require_insurance_coverage": true,
    "require_security_deposit": false,
    "security_deposit": null,
    "selling_points": [],
    "site": {
      "id": "site_14b419f1096013f1"
    },
    "size_description": "Can swing a cat quite comfortably",
    "slug": "large",
    "status": "bookable",
    "stripe_product_id": "test_Sj6uOSWhCLm5et",
    "updated_at": "2025-02-22T14:41:00Z"
  },
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Path Parameters

unit_type_id
string
required

The ID of the unit type to set the base prices

Query Parameters

expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

Body

application/json

Base prices available for recurring billing periods (Protection Levels, Unit Types, and Products).

monthly
object
weekly
object
every_four_weeks
object
every_three_months
object
every_six_months
object
yearly
object

Response

201 - application/json

unit type with created base prices

Single Unit Type

unit_type
object

Unit Type

meta
object